img{
    display: block;
    max-width: 100%;
    height: auto;
}

.proyect{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.proyect-header{
    width: 100%;
    text-align: center;
    padding-bottom: 90px;
}

.proyect-header h1{
    font-size: 40px;
}

.card_container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1.5rem;
}

.card_article{
    position: relative;
    overflow: hidden;
}

.card_img{
    width: 348px;
    border-radius: 1.5rem;
}

.card_data{
    width: 230px;
    padding-inline: 2.5rem;

    background-color: #0f0f0f;
    padding: 1.5rem 2rem;
    box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
    border-radius: 1rem;
    position: absolute;
    bottom: -9rem;
    left: 0;
    right: 0;
    margin-inline: auto;
    opacity: 0;
    transition: opacity 1s 1s;
}

.card_title{
    font-size: 1.25rem;
    font-weight: 500;
    color: #bad3e2;
    margin-bottom: .75rem;
}

/* NO TOCAR */

.card_button{
    font-size: 1.20rem;
    opacity: 0.75;
}

.card_button:hover{
    opacity: 1;
}

.card_article:hover .card_data{
    animation: show-data 1s forwards;
    opacity: 1;
    transition: opacity .3s;
}

.card_article:hover{
    animation: remove-overflow 2s forwards;
}

.card_article:not(:hover){
    animation: show-overflow 2s forwards;
}

.card_article:not(:hover) .card_data{
    animation: remove-data 1s forwards;
}

@keyframes show-data{
    50%{
        transform: translateY(-10rem);
    }

    100%{
        transform: translateY(-7rem);
    }
}

@keyframes remove-overflow{
    to{
        overflow: initial;
    }
}

@keyframes remove-data{
    0%{
        transform: translateY(-7rem);
    }
    50%{
        transform: translateY(-10rem);
    }
    100%{
        transform: translateY(.5rem);
    }
}

@keyframes show-overflow{
    0%{
        overflow: initial;
        pointer-events: none;
    }
    50%{
        overflow: hidden;
    }
}

/* FIN NO TOCAR */

@media (max-width: 1120px) {
    .proyect{
        padding-inline: 1rem;
    }

    .proyect-header{
        /* padding: 10px 0; */
        padding-bottom: 90px;
    }

    .card_container{
        grid-template-columns: repeat(2, 1fr);
        row-gap: 3.5rem;
    }

    .card_img{
        width: 390px;
    }
}

@media (max-width: 768px) {
    .proyect{
        padding-top: 20%;
    }

    .proyect-header{
        /* padding: 10px 0; */
        padding-bottom: 60px;
    }

    .card_container{
        grid-template-columns: repeat(auto-fit, minmax(min(350px, 100%), 1fr));
    }

    .card_data{
        width: 280px;
        padding: 1rem;
    }
}

@media (max-width: 340px) {
    .proyect{
        padding-top: 15%;
    }

    .card_data{
        width: 250px;
    }
}